--- updatedAt: 2026-07-30T18:14:46.000Z agentTools: projectIndex: https://docs.rekaz.io/llms.txt --- # /api/public/attendances ## OpenAPI definition ```json { "openapi": "3.0.4", "info": { "title": "Rekaz Merchant Public API", "version": "v1" }, "servers": [ { "url": "https://platform.rekaz.io", "description": "Rekaz production" } ], "security": [ { "basicAuth": [], "tenantHeader": [] } ], "paths": { "/api/public/attendances": { "post": { "tags": [ "Attendance" ], "operationId": "createPublicAttendanceAttendance", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/CreateAttendanceRequest" } }, "text/json": { "schema": { "$ref": "#/components/schemas/CreateAttendanceRequest" } }, "application/*+json": { "schema": { "$ref": "#/components/schemas/CreateAttendanceRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/AttendanceResponse" } }, "application/json": { "schema": { "$ref": "#/components/schemas/AttendanceResponse" } }, "text/json": { "schema": { "$ref": "#/components/schemas/AttendanceResponse" } } } } } } } }, "components": { "securitySchemes": { "basicAuth": { "type": "http", "scheme": "basic", "description": "Use the API key ID as the username and the API key secret as the password." }, "tenantHeader": { "type": "apiKey", "in": "header", "name": "__tenant", "description": "The Rekaz tenant ID." } }, "schemas": { "AttendanceActionType": { "enum": [ 0, 1 ], "type": "integer", "format": "int32", "x-enumNames": [ "In", "Out" ] }, "AttendanceCustomFieldResponse": { "type": "object", "properties": { "label": { "type": "string" }, "value": { "type": "string" } }, "additionalProperties": false }, "AttendanceResponse": { "type": "object", "properties": { "type": { "$ref": "#/components/schemas/AttendanceType" }, "actionType": { "$ref": "#/components/schemas/AttendanceActionType" }, "customerId": { "type": "string", "format": "uuid" }, "customerName": { "type": "string" }, "customerMobileNumber": { "type": "string" }, "providers": { "type": "array", "items": { "type": "string" } }, "customerImageUrl": { "type": "string" }, "actionName": { "type": "string" }, "actionId": { "type": "string", "format": "uuid" }, "actionDateFrom": { "type": "string", "format": "date-time" }, "actionDateTo": { "type": "string", "format": "date-time" }, "isActive": { "type": "boolean" }, "canDoCheckIn": { "type": "boolean" }, "isFirstCheckIn": { "type": "boolean" }, "customFields": { "type": "array", "items": { "$ref": "#/components/schemas/AttendanceCustomFieldResponse" } }, "isPackage": { "type": "boolean" }, "message": { "type": "string" }, "actionDate": { "type": "string", "format": "date-time" } }, "additionalProperties": false }, "AttendanceType": { "enum": [ 0, 1 ], "type": "integer", "format": "int32", "x-enumNames": [ "Reservation", "Subscription" ] }, "CreateAttendanceRequest": { "type": "object", "properties": { "type": { "$ref": "#/components/schemas/AttendanceType" }, "actionType": { "$ref": "#/components/schemas/AttendanceActionType" }, "customerId": { "type": "string", "format": "uuid" }, "actionId": { "type": "string", "format": "uuid" } }, "additionalProperties": false } } } } ```